%global commit a65724bfa25fe78408adeea6a5015647b5a826da
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20250406

%define debug_package %{nil}

%global github_name envycontrol
%global _description\
EnvyControl is a program aimed to provide an easy way to switch GPU modes on Nvidia Optimus systems (i.e laptops with hybrid Intel + Nvidia or AMD + Nvidia graphics configurations) under Linux.


Name:           python-%{github_name}
Version:        3.5.2
Release:        1.git%{gitdate}%{?dist}
Summary:        EnvyControl is a program aimed to provide an easy way to switch GPU modes on Nvidia Optimus systems

License:        MIT
URL:            https://github.com/bayasdev
Source0:        %{url}/%{github_name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildArch:      noarch


%description %_description


%package -n python3-%{github_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
Requires:       systemd-udev
Requires:       xrandr
Requires:       nvidia-persistenced

%description -n python3-%{github_name}
%_description

%prep
%autosetup -p1 -n %{github_name}-%{commit}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{github_name}

%files -n python3-%{github_name} -f %{pyproject_files}
%{_bindir}/envycontrol
%doc README.md
%license LICENSE

%changelog
* Sun Apr 06 2025 Paweł Marciniak <sunwire+repo@gmail.com> - 3.5.2-1.git20250406
- Bump version to 3.5.2
- Fix SDDM multimonitor issue when using envycontrol (#204)
- Add Arch Linux to rebuild_initramfs (#202)

* Sat Oct 12 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.5.1-1.git20241012
- rebuild_initramfs on alt linux (#188)

* Mon Aug 19 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.5.1-1.git20240819
- Bump to 3.5.1
- fix: can't find gpu if was integrated in v3.4.0 (#183)

* Sat Aug 17 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.5.0-1.git20240817
- Bump to 3.5.0
- Only try to remove files that exist during cleanup

* Wed Aug 14 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.4.0-1.git20240814
- Support for OSTREE-based distributions (#181)

* Mon Aug 12 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.4.0-1.git20240812
- Added blacklist i2c_nvidia_gpu from system76-power (#158)

* Sat Jul 27 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.4.0-1.git20240727
- Add the EL9 repo (#176)
- Add Debian specific troubleshooting instructions

* Fri Jun 21 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.4.0-1.git20240621
- Update README with list of files that may need to be removed manually (#172)
- Added a note to the README (#169)

* Wed Mar 06 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.4.0-1.git20240306
- Remove flake.lock
- Update flake.nix to v3.4.0
- Add transparent caching, --cache-create, --cache-delete and --cache-q… (#155)
- Update repo URL in Nix Flakes
- Add support for NixOs (#156)
- Add missing rebuild_initramfs() call in reset

* Tue Jan 09 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 3.3.1-2.git20231107
- Add nvidia-persistenced as a dependency

* Tue Nov 07 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.3.1-1.git20231107
- update README
- add help for use-nvidia-current
- add use_nvidia_current flag #144

* Tue Sep 12 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.3.0-1.git20230912
- Fixed suspend in nvidia and hybrid mode (#127)

* Mon Sep 11 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.2.0-1.git20230911
- Add info about a KDE widget (#115)
- Update README.md (#100)

* Tue Apr 25 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.2.0-1.git20230425
- Remove outdated man page

* Sat Apr 22 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.2.0-1.git20230422
- Update README with .deb package instructions
- Add instructions for Fedora

* Wed Mar 15 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.2.0-1.git20230315
- envycontrol: bump to 3.2.0
- Update EndeavourOS support (#91)

* Tue Mar 14 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.3-3.git20230314
- envycontrol: bump to 3.0.3
- fix: check all possible igpu matches

* Tue Mar 14 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.2-2.git20230314
- envycontrol: bump to 3.0.2
- fix: add missing check for display controller
- Revert "fix: improve igpu vendor detection"

* Tue Mar 14 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.1-1.git20230314
- Update issue templates
- fix: improve igpu vendor detection
- README: typo
- README: move to issue template
- Update issue templates
- README: Update

* Mon Mar 13 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 3.0.0-1.git20230313
- EnvyControl V3 (#90)

* Sun Mar 12 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 2.3.2-1.git20230312
- Fix xrandr script not running under lightdm
- envycontrol: Improve display manager detection
- envycontrol: Bump version to 2.3.2
- envycontrol: Check for dracut presence on EOS
- setup.py: Update
- envycontrol: Bump version to 2.3.1
- envycontrol: Add support for EndeavourOS

* Sun Feb 19 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 2.3-1.git20230115
- Init

